import java.io.*;

public class TestDataStream {
  public static void main(String[] args) throws IOException {
    try ( // Tworzenie strumienia wyjściowego dla pliku temp.dat
      DataOutputStream output =
        new DataOutputStream(new FileOutputStream("temp.dat"));
    ) {
      // Zapisywanie wyników studentów w pliku
      output.writeUTF("Jan");
      output.writeDouble(85.5);
      output.writeUTF("Sara");
      output.writeDouble(185.5);
      output.writeUTF("Kasia");
      output.writeDouble(105.25);
    }
    
    try ( // Tworzenie strumienia wejściowego dla pliku temp.dat
      DataInputStream input =
        new DataInputStream(new FileInputStream("temp.dat"));
    ) {
      // Wczytywanie wyników testów z pliku
      System.out.println(input.readUTF() + " " + input.readDouble());
      System.out.println(input.readUTF() + " " + input.readDouble());
      System.out.println(input.readUTF() + " " + input.readDouble());
    }
  }
}
